Description

It's hard to tell that the subject of the Save, Edit and Delete buttons on the Query form is a custom query.

How about changing it as follows?

Save => Save custom query

Edit => Edit custom query

Delete => Delete custom query

 save_after_change.png  edit_and_delete_after_change.png 

Related issues:

Related to Redmine - Feature #31278: Change Delete button name to Delete issue Closed

Associated revisions

Revision 21191 - 2021-08-17 14:41 - Go MAEDA

Rename the save, edit and delete buttons on the query form to clarify the scope (#34494).

Patch by Mizuki ISHIKAWA.

Revision 21192 - 2021-08-17 14:46 - Go MAEDA

Update locales (#34494).

History

#1 - 2021-02-02 12:03 - Mischa The Evil

- Target version set to Candidate for next minor release

I like this proposal for two reasons even though it comes at the cost of adding three new i18n-strings:

1. it makes it clearer that these three buttons operate at the custom field query scope;

2. plugins can generically re-use these i18n-strings for their own objects.

Edited by Mischa The Evil, 2021-08-14 04:38.

#2 - 2021-02-08 10:49 - Go MAEDA

- Related to Feature #31278: Change Delete button name to Delete issue added

#3 - 2021-02-14 14:42 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.0

Setting the target version to 4.2.0.

#4 - 2021-02-22 23:44 - Marius BĂLTEANU

I’m not sure that renaming these 3 buttons is the best solution. Apply & Clear operates at the same level, why are not renamed to Apply custom query

and Clear custom query?

From my point of view, a better solution is a UI one which clearly defines the button as part of the custom query section.

Any other feedback in welcome on this topic.
#5 - 2021-02-24 00:55 - Mizuki ISHIKAWA

Marius BALTEANU wrote:

I’m not sure that renaming these 3 buttons is the best solution. Apply & Clear operates at the same level, why are not renamed to Apply custom

query and Clear custom query?

 Clear and Apply are generic terms for search, and I thought it would be easy to understand without adding a subject.

On the other hand, Save, Edit and Delete are hard to understand without the subject.

As far as I know, many people were unaware that custom queries could be saved and reused.

I think it's better to explain in text so that those people can understand the function.

From my point of view, a better solution is a UI one which clearly defines the button as part of the custom query section.

 I think it is more effective to have a better UI and linguistic explanation explanation text at the same time.

#6 - 2021-02-24 19:48 - Marius BĂLTEANU

Mizuki ISHIKAWA wrote:

I think it is more effective to have a better UI and linguistic explanation at the same time.

#7 - 2021-02-24 19:48 - Marius BĂLTEANU

Marius BALTEANU wrote:

Mizuki ISHIKAWA wrote:

I think it is more effective to have a better UI and linguistic explanation at the same time.

 

It's a valid point.

#8 - 2021-03-25 08:34 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

We need more feedback on this.

#9 - 2021-08-14 06:01 - Mischa The Evil

Marius BALTEANU wrote:

[...] Apply & Clear operates at the same level [...]

 I think it depends on your perspective. I'll elaborate.

From a front-end end-user perspective I do not agree. Apply and Clear operate on the issue list whereas Save, Edit and Delete operate on a custom

query. Compare:

Clicking Apply takes all the set filters and options and generates a new (in-memory) issue list.

Clicking Clear resets all the filters and options and generates a new (in-memory) issue list.

Clicking Save takes all the set filters and options and generates a pre-set form that lets me save my custom query to the DB.

Clicking Edit generates a pre-set form that lets me edit and save my custom query to the DB.

Clicking Delete generates a confirmation pop-up with the ability that lets me delete my custom query from the DB.

From a back-end perspective I do agree with you more. From that perspective all these actions effectively operate on an IssueQuery. But even here

there's a difference: that's persistence. Apply and Clear do not operate on a persistent object (custom query in the DB), while Save, Edit and Delete

do.

Marius BALTEANU wrote:

[...] why are not renamed to Apply custom query and Clear custom query?

 Based on the rationale outlined above: because these actions do not operate on a custom query object that is saved in the DB, they operate

effectively only on the issue list.
#10 - 2021-08-15 08:05 - Marius BĂLTEANU

Thanks Mischa for your detailed feedback! I'm not against this change, we can do it.

#11 - 2021-08-17 14:42 - Go MAEDA

- Tracker changed from Patch to Feature

- Subject changed from Rename the save, edit and delete buttons on the query form to Rename the save, edit and delete buttons on the query form to

clarify the scope

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
